package com.company.twin.web.screens;

import com.haulmont.cuba.gui.Notifications;
import com.haulmont.cuba.gui.components.Button;
import com.haulmont.cuba.gui.components.TwinColumn;
import com.haulmont.cuba.gui.screen.*;

import javax.inject.Inject;
import java.util.Collection;
import java.util.LinkedHashMap;
import java.util.Map;

@UiController("screen")
@UiDescriptor("new-screen.xml")
public class NewScreen extends Screen {
    @Inject
    private TwinColumn<String> twinColumn;
    @Inject
    private Notifications notifications;

    @Subscribe
    public void onInit(InitEvent event) {
        Map<String,String> map = new LinkedHashMap<>();
        map.put("Agent","agent");
        map.put("Customer","customer");
        map.put("Period","period");
        twinColumn.setOptionsMap(map);
    }

    @Subscribe("button")
    public void onButtonClick(Button.ClickEvent event) {
        Collection<String> value = twinColumn.getValue();
        notifications.create()
                .withCaption(value == null ? "null" : value.toString())
                .show();
    }


}